from sqlalchemy import Column, String, Integer, Text
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class Team(Base):
    __tablename__ = '团队人员'

    project_id = Column('项目编号', String(30), primary_key=True)
    name = Column('姓名', String(50), primary_key=True)
    operation_permission = Column('操作权限', String(2000))
    item_number = Column('条目编号', Text)
    compilation_status = Column('编制状态', Integer)

    def __repr__(self):
        return f"<Team(project_id='{self.project_id}', name='{self.name}')>"