from stores.user import UserStore
from models.user import User

class UserService:
    def __init__(self):
        self.user_store = UserStore()

    def get_user_by_id(self, user_id: int) -> User:
        user = self.user_store.get_user_by_id(user_id)
        return user

    def get_user_by_username(self, username: str) -> User:
        user = self.user_store.get_user_by_username(username)
        return user

    def authenticate_user(self, username: str, password: str) -> User:
        user = self.user_store.authenticate_user(username, password)
        return user

    def get_all_users(self) -> list[User]:
        users = self.user_store.get_all_users()
        return users

